Subject: RE: BER encoding of Unsigned32 and BITS

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 4 Sep 2003 11:45:49 +0200

Inline
> -----Original Message-----
> From: chum chum [mailto:[email-masked]]
> Sent: donderdag 4 september 2003 13:25
> To: [email-masked]
> Subject: BER encoding of Unsigned32 and BITS
> 
> 
> Hello,
> 
> I read the RFC 3084 (COPS-PR) and find in the example of BER 
> encoding for EDP that:
> 
> 02 01 08          :ipv4FilterIndex/Unsigned32/Value = 8
> 
> However, in the book "Understanding SNMP MIBs", page 396, 
> Unsigned32 has a tag encoding of 0x42, not 0x02. Could 
> someone tell me which one is correct?
> 
Sounds to me that the above is indeed incorrect and should be

  420108

RAP/COPS-PR folk, pls check, and if you also agree, then we
should register an ERRATUM with RFc-Editor.

> How about BER encoding for BITS?
> For example, in RFC 3317 (COPS-PR for DiffServ)
> 
> DsIfAlgDropCapsEntry ::= SEQUENCE {
>         dsIfAlgDropCapsType                BITS,
>         dsIfAlgDropCapsMQCount             Unsigned32
> }
> 
> I want to encode the following:
> 
> dsIfAlgDropCapsType/BITS/value = 0011100 (binary)
> Tag value = ??
> length = ??
> value = ??
> 

tag octet string
length 1 octet (BITS need to be send as complete octets)
value 38 (for 00111000, last zero to make it an octet)

So I think it would be
  040138

RAP/COPS-PR people, pls check and comment

Bert
> Thank you very much,
> C.